# BasicCredentialsProvider (Apache HttpComponents Client 4.5.14 API)
Date: 2022-11-30

org.apache.http.impl.client

## Class BasicCredentialsProvider

- java.lang.Object
- - org.apache.http.impl.client.BasicCredentialsProvider

All Implemented Interfaces:
  CredentialsProvider

    @Contract(threading=SAFE)
    public class BasicCredentialsProvider
    extends Object
    implements CredentialsProvider

Default implementation of `CredentialsProvider`.

Since:
  4.0

### Constructor Summary

Constructors
Constructor and Description
`BasicCredentialsProvider()` Default constructor.

### Method Summary

Methods
`void` `clear()` Clears all credentials.
`Credentials` `getCredentials(AuthScope authscope)` Get the `credentials` for the given authentication scope.
`void` `setCredentials(AuthScope authscope, Credentials credentials)` Sets the `credentials` for the given authentication scope.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BasicCredentialsProvider

    public BasicCredentialsProvider()

Default constructor.

### Method Detail

#### setCredentials

    public void setCredentials(AuthScope authscope,
                      Credentials credentials)

Description copied from interface: `CredentialsProvider`
Sets the `credentials` for the given authentication scope. Any previous credentials for the given scope will be overwritten.

Specified by:
  `setCredentials` in interface `CredentialsProvider`
Parameters:
  `authscope` - the `authentication scope`
  `credentials` - the authentication `credentials` for the given scope.
See Also:
  `CredentialsProvider.getCredentials(AuthScope)`

#### getCredentials

    public Credentials getCredentials(AuthScope authscope)

Description copied from interface: `CredentialsProvider`
Get the `credentials` for the given authentication scope.

Specified by:
  `getCredentials` in interface `CredentialsProvider`
Parameters:
  `authscope` - the `authentication scope`
Returns:
  the credentials
See Also:
  `CredentialsProvider.setCredentials(AuthScope, Credentials)`

#### clear

    public void clear()

Description copied from interface: `CredentialsProvider`
Clears all credentials.

Specified by:
  `clear` in interface `CredentialsProvider`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`